discussion/discussion/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('todolist/', include('todolist.urls')),
    path('admin/', admin.site.urls),
]

discussion/todolist/urls.py
from django.urls import path
# import the views.py from the same folder
from . import views


app_name = 'todolist'

urlpatterns = [
	path('index', views.index, name = 'index'),
	path('todo/<int:todoitem_id>/', views.todoitem, name = "viewtodoitem"),
    path('event/<int:eventitem_id>/', views.eventitem, name = "vieweventitem"),
	path('register', views.register, name = "register"),
	path('change_password', views.change_password, name = "change_password"),
	path('login', views.login_user, name = "login"),
	path('logout', views.logout_user, name = "logout"),
    path('add_task', views.add_task, name = "add_task"),
    path('add_event', views.add_event, name = "add_event"),
    path('todo/<int:todoitem_id>/update_task', views.update_task, name = "update_task"),
    path('todo/<int:todoitem_id>/delete_task', views.delete_task, name = "delete_task"),
    path('event/<int:eventitem_id>/update_event', views.update_event, name = "update_event"),
    path('event/<int:eventitem_id>/delete_event', views.delete_event, name = "delete_event"),
]

discussion/templates/base.html
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>{% block title %}To Do App{% endblock%}</title>
	<!-- Bootstrap Link -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-aFq/bzH65dt+w6FI2ooMVUpc+21e0SRygnTpmBvdBgSdnuTN7QbdgL+OapgHtvPp" crossorigin="anonymous">
</head>
<body>
	<!-- <h1>Hello Batch 278!</h1> -->
	<!-- The "include" keword unlike the "extends" keyword  allows to inject specific templates in certain sections of a page-->
	{% include "navbar.html" %}

	{% block content %}
		<!-- block denotes a placeholder -->

	{% endblock %}

	<!-- Bootstrap Script -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha2/dist/js/bootstrap.bundle.min.js" integrity="sha384-qKXV1j0HvMUeCBQ+QVp7JcfGl760yU08IQ+GpUo5hlbpg51QRiuqHAJz8+BrxE/N" crossorigin="anonymous"></script>
</body>
</html>

discussion/templates/navbar.html
<nav class="navbar navbar-expand-lg bg-primary">
  <div class="container-fluid">
    <a class="navbar-brand" href="{% url 'todolist:index' %}">To Do App</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:index' %}">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:add_event' %}">Add Event</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:add_task' %}">Add Task</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href = "{% url 'todolist:change_password' %}">Update Profile</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href = "{% url 'todolist:login' %}">Login</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:register' %}">Register</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href = "{% url 'todolist:logout' %}">Logout</a>
        </li>
      </ul>
    </div>
  </div>
</nav>